Doplněk Stamp 1.0.2

Vít Petira 1 minuta, 9 sekundy 71 doplňky upgrade 1.7

Od dnešního dne je dostupná nová verze doplňku Stamp 1.0.2. Hlavní důvodem pro její vydání byla aktualizace metod zajišťujících kompatibilitu s Gravem 1.7, resp. s Admin Panelem 1.10, neboť předchozí verze Stamp 1.0.1 používala metody, které již nefungují.

Pokud tedy používáte Grav 1.7, resp. Admin Panel 1.10, proveďte neprodleně aktualizaci, jinak není doplněk funkční.

Zpětná kompatibilita s Gravem 1.6, resp. s Admin Panelem 1.9 je zachována, nicméně u těchto verzí není nutné aktualizaci provádět, protože se nijak neprojeví. Pokud plánujete v dohledné době přechod na vyšší verzi, pak aktualizaci proveďte preventivně již nyní.

V Gravu 1.6 není možné aktualizaci na verzi Stamp 1.0.2 provést, při pokusu o update budete upozorněni, že je nutná instalace Gravu 1.7. Platí tedy, že na Gravu 1.6 zůstává funkční verze Stamp 1.0.1. Vzhledem k tomu, že obě verze jsou prakticky totožné, není to nijak problematické a omezující. Zda bude další verze doplňku Stamp 1.0.3 zpětně kompatibilní s Gravem 1.6 zůstává prozatím otevřené. Řešení existuje, pouze je na zváženou, zda má význam věnovat tomu energii a čas, když je zde nyní vyzkoušená a vyladěná verze Grav 1.7 s podstatnými vylepšeními. Jediným důvodem pro setrvání na Gravu 1.6 je pouze to, že prozatím nedisponujete serverem s PHP 7.4, což je minimální verze, kterou Grav 1.7 pro svůj chod vyžaduje.

Současně byla přidána další plánovaná vylepšení do souboru README.md, která budou postupně implementována v dalších verzích doplňku Stamp.

Předchozí příspěvek Následující příspěvek